<?php

declare(strict_types=1);

/**
 * @author Amasty Team
 * @copyright Copyright (c) Amasty (https://www.amasty.com)
 * @package Gdpr Cookie Graphql by Amasty
 */

namespace Amasty\GdprCookieGraphql\Model\Resolver\Bar;

use Amasty\GdprCookie\Model\ConfigProvider;
use Magento\Framework\GraphQl\Config\Element\Field;
use Magento\Framework\GraphQl\Query\EnumLookup;
use Magento\Framework\GraphQl\Query\ResolverInterface;
use Magento\Framework\GraphQl\Schema\Type\ResolveInfo;

class Type implements ResolverInterface
{
    /**
     * @var EnumLookup
     */
    private $enumLookup;

    /**
     * @var ConfigProvider
     */
    private $configProvider;

    public function __construct(
        EnumLookup $enumLookup,
        ConfigProvider $configProvider
    ) {
        $this->enumLookup = $enumLookup;
        $this->configProvider = $configProvider;
    }

    public function resolve(
        Field $field,
        $context,
        ResolveInfo $info,
        array $value = null,
        array $args = null
    ) {
        return $this->enumLookup->getEnumValueFromField(
            'AmCookieBarTypeEnum',
            (string)$this->configProvider->getCookiePrivacyBarType()
        );
    }
}
