<?php

declare(strict_types=1);

/**
 * @author Amasty Team
 * @copyright Copyright (c) Amasty (https://www.amasty.com)
 * @package Gdpr Cookie Graphql by Amasty
 */

namespace Amasty\GdprCookieGraphql\Model\Resolver;

use Amasty\GdprCookie\Model\ConfigProvider;
use Magento\Framework\GraphQl\Config\Element\Field;
use Magento\Framework\GraphQl\Query\ResolverInterface;
use Magento\Framework\GraphQl\Schema\Type\ResolveInfo;

class GetCookieSettingsBar implements ResolverInterface
{
    /**
     * @var ConfigProvider
     */
    private $configProvider;

    public function __construct(
        ConfigProvider $configProvider
    ) {
        $this->configProvider = $configProvider;
    }

    public function resolve(Field $field, $context, ResolveInfo $info, array $value = null, array $args = null): array
    {
        return [[
            'backgroundColor' => $this->configProvider->getCookieSettingsBarBackgroundColor(),
            'titleColor' => $this->configProvider->getCookieSettingsBarGroupTitleTextColor(),
            'textColor' => $this->configProvider->getCookieSettingsBarGroupDescriptionTextColor(),
            'linksColor' => $this->configProvider->getCookieSettingsBarGroupLinksColor(),
            'buttons' => [[
                'btnName' => $this->configProvider->getCookieSettingsBarDoneButtonText(),
                'btnColor' => $this->configProvider->getCookieSettingsBarDoneButtonColor(),
                'btnColorHover' => $this->configProvider->getCookieSettingsBarDoneButtonColorHover(),
                'btnTextColor' => $this->configProvider->getCookieSettingsBarDoneButtonTextColor(),
                'btnTextColorHover' => $this->configProvider->getCookieSettingsBarDoneButtonTextColorHover()
            ]]
        ]];
    }
}
